%% File: expmatc.red
%% Date:
%% Status:

%% This program computes the exponential of a 
%% quasi-upper triangular matrix

%% Requirements:
%% mgv - the size of the matrix
%% xgm(mgv,mgv) - the matrix to exponentiate
%% the file "armour.red"

%% Results:
%% agm(mgv,mgv) - the exponentiated matrix

%% Global variables:
%% mgv 

%% Local variables:
%% alv,
%% Global matrices:
%% xgm(mgv,mgv)

alv:=1;
For jlv:=1:mgv-1 do
 if xgm(jlv+1,jlv)=0
  then <<ilo(alv):=jlv; alv:=alv+1>>;
nlv:=alv;
ilo(0):=0;
ilo(nlv):=mgv;
ilo(nlv+1):=mgv+1;

Matrix agm(mgv+1,mgv+1);

For rlv:=1:nlv do
 if ilo(rlv-1)=ilo(rlv)-1
  then agm(ilo(rlv),ilo(rlv)):=exp(xgm(ilo(rlv),ilo(rlv))*t)
   else
    <<agm(ilo(rlv),ilo(rlv)):=
       exp(xgm(ilo(rlv),ilo(rlv))*t)*cos(xgm(ilo(rlv)-1,ilo(rlv))*t);
      agm(ilo(rlv)-1,ilo(rlv)):=
       exp(xgm(ilo(rlv),ilo(rlv))*t)*sin(xgm(ilo(rlv)-1,ilo(rlv))*t);
      agm(ilo(rlv),ilo(rlv)-1):=-agm(ilo(rlv)-1,ilo(rlv));
      agm(ilo(rlv)-1,ilo(rlv)-1):=agm(ilo(rlv),ilo(rlv))>>;


For vlv:=1:mgv-1 do
Begin
   rlv:=1;
   While ilo(rlv)<=mgv-vlv do
    if ilo(rlv-1)=ilo(rlv)-1 then
     <<plv:=-xgm(ilo(rlv),ilo(rlv));
       qlv:=For ulv:=1:vlv+1 sum
        xgm(ilo(rlv),ilo(rlv)+ulv)*agm(ilo(rlv)+ulv,ilo(rlv)+vlv);
       agm(ilo(rlv),ilo(rlv)+vlv):=armour(plv,qlv,0,0);
       rlv:=rlv+1>>
        else
         <<p1lv:=-xgm(ilo(rlv),ilo(rlv));
           p2pv:=-xgm(ilo(rlv),ilo(rlv)-1);
           q1lv:=For ulv:=1:vlv+1 sum
            xgm(ilo(rlv)-1,ilo(rlv)+ulv)*agm(ilo(rlv)+ulv,ilo(rlv)+vlv);
           q2lv:=For ulv:=1:vlv+1 sum
            xgm(ilo(rlv),ilo(rlv)+ulv)*agm(ilo(rlv)+ulv,ilo(rlv)+vlv);
           armlv:=armour(p1lv+i*p2lv,q1lv+i*q2lv,0,0);
           agm(ilo(rlv)-1,ilo(rlv)+vlv):=rep(armlv);
           agm(ilo(rlv),ilo(rlv)+vlv):=imp(armlv);
           rlv:=rlv+1>>;
end;


;END;






