%% File: infrept red
%% Date: May 6, 1989
%% Typ General
%% Status: *

%% This program tests the differential operators
%% difgo(1,.),...,difgo(m,.) given in the variables
%% x(1),...,x(m) for being a representation of a
%% Lie algebra given by its structure constants

%% Requirements:
%% mgv - the dimension of the Lie algebra
%% c(mgv,mgv,mgv) - the structure constants
%% The operators difgo(1,.),...,difgo(mgv,.)
%% given in the variables x(1),...,x(mgv)

%% Results:
%% infrepgv - equal to 0 if test is OK, otherwise > 0

%% Global variables:
%% mgv, infreptgv

%% Global operators:
%% x(.),difgo(1,.),...,difgo(mgv,.)

%% Local variables:
%% jlv,ilv,clv,klv,testlv

   For jlv:=1:mgv do depend f,x(jlv);

   testlv:=0;
   For ilv:=1:mgv do for jlv:=1:ilv-1 do
   Begin
      clv:=difgo(ilv,difgo(jlv,f))-difgo(jlv,difgo(ilv,f))
       -for klv:=1:mgv sum c(ilv,jlv,klv)*difgo(klv,f);
      clo(ilv,jlv):=clv;
      write clo(ilv,jlv):=clo(ilv,jlv);
      testlv:=testlv+clo(ilv,jlv);
   End;

   infreptgv:=testlv;

;end;





