%% File: lietest.red
%% Date: August 27, 1989
%% Type: General Lie algebra
%% Status: *

%% This program tests (antisymmetric) structure constants for
%% defining a Lie algebra by checking the Jacobi identity
%% To use this program in interactive situations, one usually first
%% have to invoke the file "startn red a", then the file containing
%% the (unsymmetrized) structure constants and the dimension, e.g.
%% "n8n2 red a", then the file "antisym red a", and then finally
%% this file

%% Requirements:
%% m - the dimension of the algebra
%% c(m,m,m) -  the array defining the structure constants

%% Results:
%% testsumlv  if =0 then Lie algebra, otherwise not

%% Global variables:
%% m  - the dimension of the algebra

%% Global arrays:
%% c(m,m,m) - structure constants

%% Local variables:
%% ilv,jlv,klv,vlv,ulv,testsumlv

%% Local arrays:
%% dla(m,m,m,m);

%% Initiation of data:
%% in "GENERAL/startn.red";

%% Here comes the input file:
%% in "DATAN/STRCONST/data.str";

%% Preparation:
%% mgv:=m;
%% in "GENERAL/antisym.red";


   Array dla(m,m,m,m);
  Array ela(m,m,m,m);

   For ilv:=1:m do for jlv:=1:m do
    for klv:=1:m do for vlv:=1:m do
     dla(ilv,jlv,klv,vlv):=for ulv:=1:m sum
      c(ilv,jlv,ulv)*c(ulv,klv,vlv);

   testsumlv:=0;
   For vlv:=1:m do
      For ilv:=1:m do for jlv:=1:ilv do
       for klv:=1:jlv do
       Begin
        clv:=dla(ilv,jlv,klv,vlv)+dla(jlv,klv,ilv,vlv)
         +dla(klv,ilv,jlv,vlv);
          ela(ilv,jlv,klv,vlv):=clv;
            testsumlv:=testsumlv+clv**2;
            End;


   If testsumlv=0 then 
   << for j:=1:20 do write "Lie algebra OK"  >> 
     else
   << for j:=1:20 do write "WARNING: NOT LIE ALGEBRA" >>;

;end;













