%% File: expt red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the exponential map
%% (for beeing a one parameter group)

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of (x_1,...,x_m)(y1,...,ym)
%% expga(mgv) - the entries of exp(u_1X1+...+u_mX_m)

%% Results:
%% exptgv - 0 if and only if test is OK

%% Global variables:
%% mgv,exptgv

%% Global arrays:
%% pga(mgv),expga(mgv)

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% expsla(mgv),exptla(mgv),expstla(mgv),lhsla(mgv)

   Array expsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=s*u(ulv),clv);
      expsla(jlv):=clv;
   End;

   Array exptla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=t*u(ulv),clv);
      exptla(jlv):=clv;
   End;

   Array expstla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=(s+t)*u(ulv),clv);
      expstla(jlv):=clv;
   End;

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=expsla(ulv),y(ulv)=exptla(ulv),clv);
      lhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
   if lhsla(jlv) neq expstla(jlv) then testlv:=testlv+1;
   exptgv:=testlv;

;end;
