%% File: multt red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the multiplication for associativity

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of (x_1,...,x_m)(y_1,...,y_m)

%% Results:
%% multtgv - 0 if and only if test is OK

%% Global variables:
%% mgv,multtgv

%% Global arrays:
%% pga(mgv)

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% pla(mgv),lhsla(mgv),pyzla(mgv),rhsla(mgv)

%% Local operators:
%% xlo(.),ylo(.)

   Array pla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),y(ulv)=ylo(ulv),clv);
   pla(jlv):=clv;
   End;

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      write "Nu beregnes LHS(",jlv,")";
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=pga(ulv),ylo(ulv)=z(ulv),clv);
      lhsla(jlv):=clv;
      showtime;
   End;

   Array pyzla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=y(ulv),ylo(ulv)=z(ulv),clv);
      pyzla(jlv):=clv;
   End;

   Array rhsla(mgv);
   For jlv:=1:mgv do
   Begin
      write "Nu beregnes RHS(",jlv,")";
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=x(ulv),ylo(ulv)=pyzla(ulv),clv);
      rhsla(jlv):=clv;
      showtime;
   End;

   testlv:=0;
   For jlv:=1:mgv do
    if lhsla(jlv) neq rhsla(jlv) then testlv:=testlv+1;
   multtgv:=testlv;

;end;
