%% File: alphani.red
%% Date: May 10, 1990
%% Type: Nilpotent - basis of ideal type
%% Status: ***

%% This program computes the array alpha for a nilpotent
%% Lie algebra using differential equations

%% Requirements:
%% mgv - the dimension
%% c(mgv,mgv,mgv) - the structure constants
%% the file "expmatn.red"

%% Results:
%% alphaga(mgv,mgv,mgv) - exponentials of ad(-tX_i)

%% Global variables:
%% mgv

%% Global arrays:
%% alphaga(mgv,mgv,mgv);

%% Global matrices:
%% xgm(mgv,mgv), agm(mgv,mgv)

%% Local variables:
%% ilv,jlv,klv,nlv,testlv

%% Local matrices:
%% xlm(mgv,mgv),allm(mgv,mgv),slm(mgv,mgv)

   Nolv:=1;
   Array alphaga(mgv,mgv,mgv);
   For ilv:=1:mgv do
   Begin
      Matrix xgm(mgv,mgv);
      For jlv:=1:mgv do for klv:=1:mgv do
       xgm(jlv,klv):=c(ilv,klv,jlv);
      Write "Matrix number ",Nolv;
      Nolv:=Nolv+1;
      In "CODE/GENERAL/expmatn.red";
      For jlv:=1:mgv do for klv:=1:mgv do
       alphaga(ilv,jlv,klv):=sub(t=-t,agm(jlv,klv));
      showtime;
   End;

;end;










