%% File: alphans.red
%% Date: May 10, 1990
%% Type: Nilpotent - basis of subalgebra type
%% Status: ***

%% This program computes the array alpha for a nilpotent
%% Lie algebra using power series expansion

%% Requirements:
%% mgv - the dimension
%% c(mgv,mgv,mgv) - the structure constants

%% Results:
%% alphaga(mgv,mgv,mgv) - exponentials of ad(-tX_i)

%% Global variables:
%% mgv

%% Global arrays:
%% alphaga(mgv,mgv,mgv);

%% Local variables:
%% ilv,jlv,klv,nlv,testlv

%% Local matrices:
%% xlm(mgv,mgv),allm(mgv,mgv),slm(mgv,mgv)

   Array alphaga(mgv,mgv,mgv);

   For ilv:=1:mgv do
   Begin
      Matrix xlm(mgv,mgv);
      For jlv:=1:mgv do for klv:=1:mgv do
       xlm(jlv,klv):=c(ilv,klv,jlv);
      Matrix allm(mgv,mgv);
      For jlv:=1:mgv do allm(jlv,jlv):=1;
      Matrix slm(mgv,mgv);
      slm:=(-t)*xlm;
      nlv:=1;
      testlv:=trace(tp(slm)*slm);
      While testlv neq 0 do
      Begin
         allm:=allm+slm;
         nlv:=nlv+1;
         slm:=(-t)*slm*xlm/nlv;
         testlv:=trace(tp(slm)*slm);
      End;
      For jlv:=1:mgv do for klv:=1:mgv do
       alphaga(ilv,jlv,klv):=allm(jlv,klv);
   End;

;end;










