%% File: alphasi.red
%% Date: April 23, 1989
%% Type: Solvable - basis of ideal type
%% Status: *

%% This program computes the array alpha for a solvable
%% Lie algebra using differential equations

%% Requirements:
%% mgv - the dimension
%% c(mgv,mgv,mgv) - the structure constants
%% the file "armour.red"
%% the file "expmatc.red"

%% Results:
%% alphaga(mgv,mgv,mgv) - exponentials of ad(-tX_i)

%% Global variables:
%% mgv

%% Global arrays:
%% alphaga(mgv,mgv,mgv);

%% Global matrices:
%% xgm(mgv,mgv), agm(mgv,mgv)

%% Local variables:
%% ilv,jlv,klv,nlv,testlv

%% Local matrices:
%% xlm(mgv,mgv),allm(mgv,mgv),slm(mgv,mgv)

Array alphaga(mgv,mgv,mgv);

In "CODE/GENERAL/armour.red";

For ilv:=1:mgv do
Begin
   Matrix xgm(mgv+1,mgv+1);
   For jlv:=1:mgv do for klv:=1:mgv do
    xgm(jlv,klv):=c(ilv,klv,jlv);
   In "CODE/GENERAL/expmatc.red";
   For jlv:=1:mgv do for klv:=1:mgv do
    alphaga(ilv,jlv,klv):=sub(t=-t,agm(jlv,klv));
End;

;end;










