%% File: coadss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the coadjoint representation

%% Requirements:
%% mgv - the dimension
%% adgm(mgv,mgv) - the matrix of Ad(x)

%% Results:
%% coadgm(mgv,mgv) - the matrix of Coad(x)
%% coadga(mgv) - the entries of Coad(xi_1l_1+...xi_ml_m)

%% Global variables:
%% mgv

%% Global arrays:
%% adga(mgv),coadga(mgv)

%% Global matrices:
%% adgm(mgv,mgv),iga(mgv),coadgm(mgv,mgv)

%% Local variables:
%% jlv,klv,clv,ulv,coadlv

%% Local operators:
%% xlo(.),du(.,.)

   clv:=for jlv:=1:mgv sum for klv:=1:mgv sum
    adgm(jlv,klv)*du(jlv,klv);
   For ulv:=1:mgv do clv:=sub(x(ulv)=xlo(ulv),clv);
   For ulv:=1:mgv do clv:=sub(xlo(ulv)=iga(ulv),clv);
   coadlv:=clv;

   Matrix coadgm(mgv,mgv);
   For jlv:=1:mgv do for klv:=1:mgv do
    coadgm(klv,jlv):=df(coadlv,du(jlv,klv));

   Array coadga(mgv);
   For jlv:=1:mgv do
    coadga(jlv):=for klv:=1:mgv sum coadgm(jlv,klv)*xi(klv);

;end;




