%% File: dlrregexpni.red
%% Date: April 18, 1992
%% Type: Nilpotent - basis of ideal type?
%% Status: 

%% This program computes the left and right regular representation
%% in exponential coordinates

%% Requirements:
%% mgv - the dimension
%% pexga(mgv) - the entries of uv=(u_1,...,uM-)(v_1,...,v_m)

%% Results:
%% dlregexga(mgv) - the left regular representation
%% drregexga(mgv) - the right regular representation

%% Global variables:
%% mgv

%% Global arrays:
%% pga(mgv),dregga(mgv)

%% Global operators:
%% doxgo(.)

%% Local variables:
%% klv,jlv,clc,ulv

%% Local arrays:
%% pla(mgv,mgv)

   Array dlregexga(mgv);
   For klv:=1:mgv do
   Begin
      write "Nu beregnes dlex(",klv,")";
      Array pla(mgv);
      For jlv:=1:mgv do
      Begin
         clv:=pexga(jlv);
         clv:=sub(u(klv)=-t,clv);
         For ulv:=1:mgv do clv:=sub(u(ulv)=0,clv);
         For ulv:=1:mgv do clv:=sub(v(ulv)=u(ulv),clv);
         pla(jlv):=clv;
      End;
      dlregexga(klv):=
       For jlv:=1:mgv sum sub(t=0,df(pla(jlv),t))*ddu(jlv);
      Showtime;
   End;

   Array drregexga(mgv);
   For klv:=1:mgv do
   Begin
      write "Nu beregnes drex(",klv,")";
      Array pla(mgv);
      For jlv:=1:mgv do
      Begin
         clv:=pexga(jlv);
         clv:=sub(v(klv)=t,clv);
         For ulv:=1:mgv do clv:=sub(v(ulv)=0,clv);
         pla(jlv):=clv;
      End;
      drregexga(klv):=
       For jlv:=1:mgv sum sub(t=0,df(pla(jlv),t))*ddu(jlv);
      Showtime;
   End;

;end;














