%% File: dlrregmixss.red
%% Date: November 16, 1992
%% Type: Nilpotent - basis of ideal type?
%% Status: 

%% This program computes the left and right regular representation
%% in exponential coordinates

%% Requirements:
%% mgv - the dimension
%% pexga(mgv) - the entries of uv=(u_1,...,uM-)(v_1,...,v_m)

%% Results:
%% dlregexga(mgv) - the left regular representation
%% drregexga(mgv) - the right regular representation

%% Global variables:
%% mgv

%% Global arrays:
%% pga(mgv),dregga(mgv)

%% Global operators:
%% doxgo(.)

%% Local variables:
%% klv,jlv,clc,ulv

%% Local arrays:
%% pla(mgv,mgv)

   Array dlregmixga(mgv);
   For klv:=1:mgv do
   Begin
      Array pla(mgv);
      For jlv:=1:mgv do
      Begin
         clv:=pmixga(jlv);
         clv:=sub(u(klv)=-t,clv);
         For ulv:=1:mgv do clv:=sub(u(ulv)=0,clv);
         For ulv:=1:mgv do clv:=sub(v(ulv)=u(ulv),clv);
         pla(jlv):=clv;
      End;
      dlregmixga(klv):=
       For jlv:=1:mgv sum sub(t=0,df(pla(jlv),t))*ddu(jlv);
   End;

   Array drregmixga(mgv);
   For klv:=1:mgv do
   Begin
      Array pla(mgv);
      For jlv:=1:mgv do
      Begin
         clv:=pmixga(jlv);
         clv:=sub(v(klv)=t,clv);
         For ulv:=1:mgv do clv:=sub(v(ulv)=0,clv);
         pla(jlv):=clv;
      End;
      drregmixga(klv):=
       For jlv:=1:mgv sum sub(t=0,df(pla(jlv),t))*ddu(jlv);
   End;

;end;














