%% File: multss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the multiplication on R^m

%% Requirements:
%% mgv - the dimension
%% wga(mgv,mgv) - exp(-tX_i)(x_1,...,x_m)

%% Results:
%% pga(mgv) - the entries of  (x_1,...,x_m)(y_1,...,y_m)

%% Global variables:
%% mgv

%% Global arrays:
%% wga(mgv),pga(mgv)

%% Local variables:
%% jlv,klv,clc,ulv

%% Local arrays:
%% pla(mgv,mgv)

%% Local operators:
%% ylo(.)

   Array pla(mgv,mgv);
   For jlv:=1:mgv do pla(0,jlv):=y(jlv);
   For klv:=1:mgv do for jlv:=1:mgv do
   Begin
      If jlv=1 then write "Nu beregnes P(",klv,")";
      clv:=wga(klv,jlv);
      For ulv:=1:mgv do clv:=sub(x(ulv)=ylo(ulv),clv);
      clv:=sub(t=-x(klv),clv);
      For ulv:=1:mgv do
       clv:=sub(ylo(ulv)=pla(klv-1,ulv),clv);
      pla(klv,jlv):=clv;
      if jlv=1 then showtime;
   End;

   Array pga(mgv);
   For jlv:=1:mgv do pga(jlv):=pla(mgv,jlv);

;end;








